Bug 859400 - beaker-provision fails to reboot some systems
beaker-provision fails to reboot some systems
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: lab controller (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.9.4
: ---
Assigned To: Dan Callaghan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 09:04 EDT by Bill Peck
Modified: 2012-10-11 19:50 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 860130 (view as bug list)
Environment:
Last Closed: 2012-10-11 19:50:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Peck 2012-09-21 09:04:06 EDT
Description of problem:
The reboot command in beaker-provision has no delay between the off and on operation which causes some systems to hang.  Worse yet, it is not very nice to hardware and could damage it.

Version-Release number of selected component (if applicable):
0.9.3

How reproducible:
Depends on the system and power type.  Some power types have a delay built in.
Comment 1 Dan Callaghan 2012-09-23 21:03:14 EDT
On Gerrit: http://gerrit.beaker-project.org/1365
Comment 2 Pavel Šimon 2012-09-24 04:22:33 EDT
Can i suggest run status command after power command just to be sure that everything is working as expected.
Comment 3 Dan Callaghan 2012-09-25 00:14:30 EDT
(In reply to comment #2)
> Can i suggest run status command after power command just to be sure that
> everything is working as expected.

This sounds like a good idea. Cloned as bug 860130.
Comment 5 Dan Callaghan 2012-10-11 19:50:08 EDT
Beaker 0.9.4 has been released.

Note You need to log in before you can comment on or make changes to this bug.